Name:           siege
Version:        2.69
Release:        3%{?dist}
Summary:        HTTP regression testing and benchmarking utility

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.joedog.org/JoeDog/Siege    
Source0:        ftp://ftp.joedog.org/pub/siege/%{name}-%{version}.tar.gz
Patch0:         siege-2.69-good.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel

%description
Siege is an http regression testing and benchmarking utility. 
It was designed to let web developers measure the performance of their code 
under duress, to see how it will stand up to load on the internet. 
Siege supports basic authentication, cookies, HTTP and HTTPS protocols. 
It allows the user hit a web server with a configurable number of concurrent 
simulated users. Those users place the webserver "under siege."

%prep
%setup -q
%patch0 -p1 -b .good


%build
%configure --sysconfdir=/etc/siege 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Create /etc/siege/urls.txt
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/siege
install -m 644 doc/urls.txt $RPM_BUILD_ROOT%{_sysconfdir}/siege/
# Create /etc/siege/siegerc
install -m 644 doc/siegerc $RPM_BUILD_ROOT%{_sysconfdir}/siege/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING KNOWNBUGS MACHINES NEWS PLATFORM README README.https
%{_bindir}/bombardment
%{_bindir}/siege
%{_bindir}/siege.config
%{_bindir}/siege2csv.pl
%{_mandir}/man1/bombardment.1.gz
%{_mandir}/man1/siege.1.gz
%{_mandir}/man1/siege.config.1.gz
%{_mandir}/man1/siege2csv.1.gz
%{_mandir}/man5/urls_txt.5.gz
%{_mandir}/man7/layingsiege.7.gz
%dir %{_sysconfdir}/siege
%config(noreplace) %{_sysconfdir}/siege/urls.txt
%config(noreplace) %{_sysconfdir}/siege/siegerc

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.69-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul  4 2009 Allisson Azevedo <allisson@gmail.com> 2.69-1
- Update to 2.69
- Update Makefile.in patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.67-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 2.67-2
- rebuild with new openssl

* Fri May 16 2008 Allisson Azevedo <allisson@gmail.com> 2.67-1
- Update to 2.67
- Update License

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.66-3
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.66-2
 - Rebuild for deps

* Tue Apr 10 2007 Allisson Azevedo <allisson@gmail.com> 2.66-1
- Update to 2.66

* Sun Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 2.65-3
- Fix .spec

* Sun Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 2.65-2
- Fix .spec

* Sun Mar 11 2007 Allisson Azevedo <allisson@gmail.com> 2.65-1
- Initial RPM release
